Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.decoder.apf
Class APFDecoder

    java.lang.Object
      |
      +--com.sun.jimi.core.util.ProgressMonitorSupport
            |
            +--com.sun.jimi.core.JimiRasterDecoderSupport
                  |
                  +--com.sun.jimi.core.JimiSingleImageRasterDecoder
                        |
                        +--com.sun.jimi.core.decoder.apf.APFDecoder

public class APFDecoder
extends JimiSingleImageRasterDecoder

Decoder class for Activated Pseudo Format (APF)

Field Summary
`protected java.io.DataInputStream` | `dataInput` stream for image data
`protected int` | `height` image height
`protected IntRasterImage` | `jimiImage` created image
`protected int` | `width` image width

Fields inherited from class com.sun.jimi.core.JimiRasterDecoderSupport
`cleanupCommands, factory, input, noMoreRequests`

Fields inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`currentProgressLevel, progressListener`

Constructor Summary
`APFDecoder()`

Method Summary
`protected void` | `createJimiImage()` Instantiate the JimiImage.
`void` | `doImageDecode()` Populate the image with pixel data.
`MutableJimiRasterImage` | `doInitDecoding(JimiImageFactory factory, java.io.InputStream input)` Initialize decoding by reading headers and creating the JimiImage.
`protected void` | `readData()` Read the image data and send it to the JimiImage.
`protected void` | `readHeader()` Read the image headers.

Methods inherited from class com.sun.jimi.core.JimiSingleImageRasterDecoder
`driveDecoding, getInput, getJimiImageFactory, initDecoding, setProgress`

Methods inherited from class com.sun.jimi.core.JimiRasterDecoderSupport
`addCleanupCommand, cleanup, init, setFinished`

Methods inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`setProgressListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### width

    protected int width

  image width

### height

    protected int height

  image height

### dataInput

    protected java.io.DataInputStream dataInput

  stream for image data

### jimiImage

    protected IntRasterImage jimiImage

  created image

Constructor Detail

### APFDecoder

    public APFDecoder()

Method Detail

### doInitDecoding

    public MutableJimiRasterImage doInitDecoding(JimiImageFactory factory,
                                                 java.io.InputStream input)
                                          throws JimiException,
                                                 java.io.IOException

  Initialize decoding by reading headers and creating the JimiImage.
  Overrides:
    doInitDecoding in class JimiSingleImageRasterDecoder

### doImageDecode

    public void doImageDecode()
                       throws JimiException,
                              java.io.IOException

  Populate the image with pixel data.
  Overrides:
    doImageDecode in class JimiSingleImageRasterDecoder

### readHeader

    protected void readHeader()
                       throws JimiException,
                              java.io.IOException

  Read the image headers.

### createJimiImage

    protected void createJimiImage()
                            throws JimiException

  Instantiate the JimiImage.

### readData

    protected void readData()
                     throws java.io.IOException,
                            ImageAccessException

  Read the image data and send it to the JimiImage.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD